* Create joint SWAY I (males/Phase I) and SWAY II (females/Phase II) dataset

*User Set-up
    clear
    set mem 30m
    set more off

    
	cd "YOUR DIRECTORY\SWAY.Replication.June2013\Data\Raw data and cleaning\"

* Specify variables for joint dataset (list of variables included in dataset below)

   global vars "qno id phase2 age sample found absentee died no_ret nosurv camp lt_abd longest_abd neighbor_trouble important_comm ethnic_attitude_med ethnic_attitude_hi autoc_good army_good multiparty_bad singleparty_good antidemocratic asset1 asset2 asset3 asset4 asset5 asset6 asset7 asset8 asset9 asset10 asset11 asset12 asset13 eatmeat eattwice wage_mo emp_d_mo emp_mo prof educ illiterate literate inschool ngo_paid secskool university voc educ0 injury lra_inj hiv_aware eattwice fight back abd educ_abd  inschool_abd emp_abd occ_abd twoweek abd_l abd_l_* yr_abd abd_yr abd_lgth lt_abd abd_age age_back abd_per yr_ret abd_no_mthr abd_no_fthr abd_sing_par abd_orph force_wife force_wife_months fighter bush_mom kill kill_sol tied carry abusedead harm_fam viol_* gun gun_keep gun_mo rewarded loyal loyal_often lead orders magic command depend stay safer threats threats_only indoctrinate ceremony harm_fam abusedead rescued released* escaped reception updf amnesty ret_skool ret_home ret_par_hw ret_pr_gr_hw ret_pr_gr_hw_sib ret_skool distress prosocial hostility hostile support allegiance_* comm_* fam_* groups group g_* comm_mobil volunteer vote05 married children mthr_ed* fthr_ed* hh_wealth96 no_fthr96 no_mthr96 orphan96 catholic hh_land* hh_size96* hh_cattle* hh_stock* hh_plow hh_fthr_frm church married i_weight w_samp w_abs w_sel w_sel_abs f_weight f_weight_abs stratum A14-A35 C* Y1994-Y2004 abd_l_* G* quarrelsome threaten radio district elders_disobey services leader pol_job army beaten attacked harm_civ blame_*"
  
* For reference: variables included in joint dataset (in order listed above)

	//*

	Identifying information: 
	qno id phase2 age sample found absentee died no_ret camp lt_abd

	Employment variables: 
	wage_mo emp_d_mo emp_mo prof 
	
	Education variables: 
	educ illiterate literate inschool ngo_paid secskool university voc educ0
	
	Health variables: 
	injury lra_inj hiv_aware eattwice fight
	
	Abduction variables: 
	back abd twoweek abd_l abd_l_* yr_abd abd_yr abd_lgth lt_abd abd_age age_back abd_per 
	yr_ret abd_no_mthr abd_no_fthr abd_sing_par abd_orph 
	
	War experiences variables: 
	force_wife fighter bush_mom kill kill_sol tied carry abusedead harm_fam 
	viol_received viol_witnessed viol_experienced viol_loss viol_personal viol_perp 
	viol_sex viol_total gun gun_keep gun_mo rewarded loyal loyal_often lead magic 
	command depend stay safer threats threats_only indoctrinate ceremony harm_fam abusedead
	
	Return experiences variables: 
	rescued released* escaped reception updf amnesty ret_skool ret_home ret_par_hw 
	ret_pr_gr_hw ret_pr_gr_hw_sib ret_skool distress prosocial hostility hostile support 
	allegiance_total allegiance_modhi 
	
	Self Blame
	blame_*
	
	Family/community variables: 
	comm_understand comm_important comm_quar comm_sisters comm_connect comm_prob_ever 
	comm_prob_now comm_prob_better fam_prob_ever fam_prob_now fam_prob_better fam_caring 
	fam_comfort fam_connect fam_problems fam_quarrel
	
	Social/political participation variables: 
	groups group g_peace g_drama g_farm g_water g_skool g_sport g_church g_oth comm_mobil 
	volunteer vote05
	
	HH background variables: 
	married mthr_ed* fthr_ed* hh_wealth96 no_fthr96 no_mthr96 orphan96 catholic hh_land* hh_size96* 
	hh_cattle* hh_stock* hh_plow hh_fthr_frm church married 
	
	Weights: 
	i_weight w_samp w_abs w_sel f_weight f_weight_abs stratum
	
	Age/location dummies: 
	A14-A35 C* Y1994-Y2004 abd_l_* G* 
	
	//*/
	
* Adjustments to SWAY II dataset to allow merging with SWAY I dataset

    use "SWAYII/SWAY_II_27Jan2009.dta", clear
    replace id=id*10

* Generate dummy variable for Phase II (=1 if female/Phase II)

    gen phase2=1

** Generate blank variables for variables included in SWAY I but not included in SWAY II

    gen leader=.
    gen pol_job=.
    gen army=.
    gen gun_keep=.
    gen gun=.
    gen gun_mo=.
    gen magic=.
    gen command=.
    gen depend=.
    gen threats=.
    gen threats_only=. 
    gen indoctrinate=. 
    gen ceremony=.

** Create/drop/rename variables as needed for comparison between SWAY I and SWAY II

    drop emp_d_mo emp_mo    
    ren emp_nohh_d_mo emp_d_mo
    ren emp_nohh_mo emp_mo
    ren L_town town

    replace orphan96=cond(no_mthr96==1 & no_fthr96==1,1,0) if orphan96==.

    gen w_sel_abs=w_sel

    gen children=.
    replace children=1 if qii19>0 & qii19!=.
    replace children=0 if qii19==0 & qii19!=.

    ren no_survive nosurvivetab 
    
    drop blame_*

    gen blame_not_strong=cond(qx38==2,0,1) if qx38!=.
    gen blame_parents=cond(qx39==2,0,1) if qx39!=.
    gen blame_self=cond(qx42==2,0,1) if qx42!=.
    gen blame_haunted=cond(qx43==2,0,1) if qx43!=.
    gen blame_causetrouble_fam=cond(qx47==2,0,1) if qx47!=.
    gen blame_guilt=cond(qx48==2,0,1) if qx48!=.
    gen blame_causetrouble_comm=cond(qx49==2,0,1) if qx49!=.
    gen blame_badperson=cond(qx50==2,0,1) if qx50!=.
    gen blame_lra=cond(qx51==2,0,1) if qx51!=.
    gen blame_god=cond(qx52==2,0,1) if qx52!=.
    gen blame_cursed=cond(qx53==2,0,1) if qx53!=.

** New variables to add to both datasets

    gen district=.
    replace district=1 if qi2a==1
    replace district=2 if qi2a==2

    gen elders_disobey=cond(qvii19>=2,1,0)
    gen beaten=cond(qx3==1,1,0)
    gen attacked=cond(qx4==1,1,0)
    gen harm_civ=cond(qx25==1 | qx26==1 | qx27==1 | qx28==1,1,0)
    gen quarrelsome=cond(qvii13>0,1,0)
    gen threaten=cond(qvii30>0,1,0)
    gen radio=cond(qii32e>=1,1,0)

** Asset index variables

	ren qii32a asset1
	ren qii32b asset2
	ren qii32c asset3
	ren qii32d asset4
	ren qii32e asset5
	ren qii32f asset6
	ren qii32g asset7
	ren qii32h asset8
	ren qii32i asset9
	ren qii32j asset10
	ren qii32k asset11
	ren qii32l asset12
	gen asset13=cond(qii15==2 | qii15==3 | qii15==4, 1, 0) if found==1
	replace eatmeat=0 if eatmeat==. & found==1
	

** New variables in SWAY II but not in SWAY I

    gen force_wife_months=qix50
    gen neighbor_trouble=cond(qxi9==1 | qxi9==2,1,0) if found==1 & qxi9!=.
    gen important_comm=cond(qxi8==1,1,0) if found==1 & qxi8!=.
    gen ethnic_attitude_med=cond(qxi15==1 | qxi15==2,1,0) if found==1 & qxi15!=.
    gen ethnic_attitude_hi=cond(qxi15==1,1,0) if found==1 & qxi15!=.
    gen autoc_good=cond(qxi30n==1 | qxi30n==2,1,0) if found==1 & qxi30n!=.
    gen army_good=cond(qxi30q==1 | qxi30q==2,1,0) if found==1 & qxi30q!=.
    gen multiparty_bad=cond(qxi30o==3 | qxi30o==4,1,0) if found==1 & qxi30o!=.
    gen singleparty_good=cond(qxi30p==1 | qxi30p==2,1,0) if found==1 & qxi30p!=.
    egen antidemocratic=rsum(autoc_good army_good multiparty_bad singleparty_good)
    replace antidemocratic=. if autoc_good==. & army_good==. & multiparty_bad==. & singleparty_good==.

** Keep relevant variables and save (temporary) dataset

    keep $vars
    save "SWAYI&II/tempdata/temp.dta", replace

// Adjustments to SWAY I dataset

    use "SWAYI/SWAY_I_April2013.dta", clear

** Generate dummy variable for Phase II (=1 if female/Phase II)

    gen phase2=0
    label var phase2 "Phase II indicator"

** Generate blank variables for variables included in SWAY II but not included in SWAY I

    gen qno=.

    replace stratum=stratum+3

    gen orders=.
    gen force_wife=0
    gen bush_mom=0
    gen viol_sex=.
    gen fighter=.
    gen educ_abd=.
    gen force_wife_months=.
    gen inschool_abd =.
    gen emp_abd =.
    gen occ_abd =.
    gen neighbor_trouble=.
    gen important_comm=.
    gen ethnic_attitude_med=.
    gen ethnic_attitude_hi=.
    gen autoc_good=.
    gen army_good=.
    gen multiparty_bad=.
    gen singleparty_good=.
    gen antidemocratic=.

    la var lead "Ever gave orders to fighters (females) or led soldiers (males)"
    la var orders "Ever gave orders to abductees or fighters (females only)"
    la var force_wife "Was forced wife (for all abductees; assumes 0 for abd <=2 wks)"
    la var bush_mom "Had child from forced marriage (for all abductees; assumes 0 for abd <=2 wks)"
    la var viol_sex "Sum of 2 acts of sexual violence"
    la var fighter "Equals 1 if served as fighter during abduction"
    la var educ_abd "Education at the time of abduction"
    la var inschool_abd "In school at the time of abduction"
    la var emp_abd "Employed at the time of abduction"
    la var occ_abd "In school or employed at the time of abduction"

** New variables to add to both datasets

    drop services
    gen services=cond(ix781==1 | ix782==1 | ix783==1 | ix785==1 | ix786==1 | ix787==1,1,0)
    replace services=. if abd==0

    gen beaten=cond(x6==1,1,0)
    gen attacked=cond(x7==1,1,0)
    gen harm_civ=cond(x24==1 | x25==1 | x26==1 | x27==1 ,1,0)
    gen quarrelsome=cond(viii13>0,1,0)
    gen threaten=cond(viii30>0,1,0)
    gen radio=cond(ii18e>=1,1,0)

** Asset index variables

	ren ii18a asset1
	ren ii18b asset2
	ren ii18c asset3
	ren ii18d asset4
	ren ii18e asset5
	ren ii18f asset6
	ren ii18g asset7
	ren ii18h asset8
	ren ii18i asset9
	ren ii18j asset10
	ren ii18k asset11
	ren ii18l asset12
	gen asset13=cond(ii15==2 | ii15==3 | ii15==4, 1, 0)
	

** Create/drop/rename variables as needed for comparison between SWAY I and SWAY II

    drop blame_*

    gen blame_not_strong=cond(x35==2,0,1) if x35!=.
    gen blame_parents=cond(x36==2,0,1) if x36!=.
    gen blame_self=cond(x37==2,0,1) if x37!=.
    gen blame_haunted=cond(x38==2,0,1) if x38!=.
    gen blame_causetrouble_fam=cond(x42==2,0,1) if x42!=.
    gen blame_guilt=cond(x43==2,0,1) if x43!=.
    gen blame_causetrouble_comm=cond(x44==2,0,1) if x44!=.
    gen blame_badperson=cond(x45==2,0,1) if x45!=.
    gen blame_lra=cond(x46==2,0,1) if x46!=.
    gen blame_god=cond(x47==2,0,1) if x47!=.
    gen blame_cursed=cond(x48==2,0,1) if x48!=.

** Keep relevant variables

    keep $vars

* Combine SWAY I and II Datasets 

    append using "tempdata/temp.dta"

* Create new variables in SWAY I&II dataset

**Define Phase II dummy variable created above

    label define phase 0 "Males, 2005/06" 1 "Females 2006/07"
    label values phase2 phase

** Generate Phase-specific age and location dummy variables

    foreach g of numlist 0 1 {
      foreach x of numlist 14/35 {
        gen AA`g'_`x'=cond(age==`x' & phase2==`g',1,0) if age!=.
        la var AA`g'_`x' "Age indicator `g': `x'"
        }
      }
      drop AA0_31-AA0_35

    foreach n of numlist 1/8 {
      replace G`n'_31_plus=0 if phase2==0
      }

    foreach g of numlist 0 1 {
      foreach v in ach akw ata kma oro pad paj pal {
        gen CC`g'_`v'=cond(C_`v'==1 & phase2==`g',1,0)
      }
    }

    la var CC0_ach "Phase 1 Acholibur Dummy"
    la var CC0_akw "Phase 1 Akwang Dummy"
    la var CC0_ata "Phase 1 Atanga Dummy"
    la var CC0_kma "Phase 1 K. Matidi Dummy"
    la var CC0_oro "Phase 1 Orom Dummy"
    la var CC0_pad "Phase 1 Pader Dummy"
    la var CC0_paj "Phase 1 Pajule Dummy"
    la var CC0_pal "Phase 1 Palabek Dummy"
    la var CC1_ach "Phase 2 Acholibur Dummy"
    la var CC1_akw "Phase 2 Akwang Dummy"
    la var CC1_ata "Phase 2 Atanga Dummy"
    la var CC1_kma "Phase 2 K. Matidi Dummy"
    la var CC1_oro "Phase 2 Orom Dummy"
    la var CC1_pad "Phase 2 Pader Dummy"
    la var CC1_paj "Phase 2 Pajule Dummy"
    la var CC1_pal "Phase 2 Palabek Dummy"

** Create common set of abduction length dummies and vars

    drop abd_l_*

    gen abd_l_1d=cond(abd_lgth>0 & abd_lgth<.04,1,0) 
    gen abd_l_2to6d=cond(abd_lgth>=0.04 & abd_lgth<.25,1,0) 
    gen abd_l_1to2w=cond(abd_lgth>=.25 & abd_lgth<.5,1,0) 
    gen abd_l_2to4w=cond(abd_lgth>=.5 & abd_lgth<1.1,1,0) 
    gen abd_l_1_2=cond(abd_lgth>=1.1 & abd_lgth<2.5,1,0) 
    gen abd_l_2_4=cond(abd_lgth>=2.5 & abd_lgth<4,1,0) 
    gen abd_l_4_7=cond(abd_lgth>=4 & abd_lgth<7,1,0) 
    gen abd_l_7_11=cond(abd_lgth>=7 & abd_lgth<12,1,0) 
    gen abd_l_12_16=cond(abd_lgth>=12 & abd_lgth<16,1,0) 
    gen abd_l_16_25=cond(abd_lgth>=16 & abd_lgth<25,1,0) 
    gen abd_l_25_50=cond(abd_lgth>=25 & abd_lgth<50,1,0) 
    gen abd_l_50up=cond(abd_lgth>=50 & abd_lgth<200,1,0) 

    la var abd_l_1d "Total abduction: <1 day"
    la var abd_l_2to6d "Total abduction: 2-6 days"
    la var abd_l_1to2w "Total abduction: 1 week"
    la var abd_l_2to4w "Total abduction: 2-4 weeks"
    la var abd_l_1_2 "Total abduction: 1-2.5 months"
    la var abd_l_2_4 "Total abduction: 2.5-4 months"
    la var abd_l_4_7 "Total abduction: 4-7 months"
    la var abd_l_7_11 "Total abduction: 7-11 months"
    la var abd_l_12_16 "Total abduction: 12-16 months"
    la var abd_l_16_25 "Total abduction: 16-25 months"
    la var abd_l_25_50 "Total abduction: 25-50 months"
    la var abd_l_50up "Total abduction: >50 months"

** Create new abduction period categories

    drop abd_per
    gen abd_per=1 if abd==1
    replace abd_per=2 if abd==1 & abd_lgth>=.1
    replace abd_per=3 if abd==1 & abd_lgth>.5
    replace abd_per=4 if abd==1 & abd_lgth>2
    replace abd_per=5 if abd==1 & abd_lgth>12
    replace abd_per=7 if abd==1 & abd_lgth==.
    replace abd_per=6 if abd==1 & no_return==1
    replace abd_per=0 if abd==0
    label drop period
    label define period 0 "Never" 1 "Less than 3 days" 2 "3 to 14 days" 3 "2 Weeks to 2 Months" 4 "2 to 12 Months" 5 ">12 Months" 6 "Did Not Return" 7 "No response"
    label values abd_per period
    la var abd_per "Abduction length/period category"

** Misc. creation/revision of variables

    gen adult_ed=cond(qno==247 | qno==75 | qno==355 | qno==74 | qno==294 | qno==32 | qno==293,1,0)
    la var adult_ed "Adult education"
    
    la var twoweek "Equals 1 if abducted for > 2 weeks"
    la var fight "Equals 1 if been in fight in last six months"
    la var beaten "=1 if received a severe beating"
    la var attacked "=1 if someone attacked with panga or other weapon"
    la var harm_civ "=1 if forced to beat, cut or kill a family member/friend/other civilian"
    la var force_wife_months "Months between abduction and forced marriage"
    la var services "=1 if received services"
    la var quarrelsome "=1 if quarrelsome"
    la var threaten "=1 if threatens to hurt others
    la var radio "=1 if owns radio"

    replace force_wife=0 if  force_wife==.

    drop qno

    replace abd_lgth=abd_lgth/12

**Asset index

	pca asset1 asset2 asset3 asset4 asset5 asset6 asset7 asset8 asset9 asset10 asset11 asset12 asset13 eatmeat eattwice if found==1, com(1)
	predict score
	replace score=5 if score>5 & score!=.
	egen aindex=std(score)
	la var aindex "Index of asset ownership: Standard normal distribution"
	


*Generate dividers to organize dataset

	gen IDENTIFYING_VARIABLES=.
	la var IDENTIFYING_VARIABLES "========================================"
	gen EMPLOYMENT_VARIABLES=.
	la var EMPLOYMENT_VARIABLES "========================================"
	gen EDUCATION_VARIABLES=.
	la var EDUCATION_VARIABLES "========================================"
	gen HEALTH_VARIABLES=.
	la var HEALTH_VARIABLES "========================================"
	gen ABDUCTION_VARIABLES=.
	la var ABDUCTION_VARIABLES "========================================"
	gen WAR_EXPERIENCES_VARIABLES=.
	la var WAR_EXPERIENCES_VARIABLES "========================================"
	gen RETURN_EXPERIENCES_VARIABLES=.
	la var RETURN_EXPERIENCES_VARIABLES "========================================"
	gen FAMILY_COMMUNITY_VARIABLES=.
	la var FAMILY_COMMUNITY_VARIABLES "========================================"
	gen SOC_POL_PARTICIPATION_VARIABLES=.
	la var SOC_POL_PARTICIPATION_VARIABLES "========================================"
	gen HH_BACKGROUND_VARIABLES=.
	la var HH_BACKGROUND_VARIABLES "========================================"
	gen WEIGHTS=.
	la var WEIGHTS "========================================"
	gen LOCATION_AGE_ABDYR_INDICATORS=.
	la var LOCATION_AGE_ABDYR_INDICATORS"========================================"

*Re-order variables in dataset 

	order LOCATION_AGE_ABDYR_INDICATORS A14-A35 C* Y1994-Y2004 abd_l_* G*
	
	order WEIGHTS  i_weight f_weight f_weight_abs w_samp w_abs w_sel w_sel_abs stratum
	
	order HH_BACKGROUND_VARIABLES married children fthr_ed - orphan96 catholic church hh_size96 - hh_stock hh_land_any - hh_stock_miss aindex radio
	
	order SOC_POL_PARTICIPATION_VARIABLES groups group g_peace g_drama g_farm g_water g_skool g_sport g_church g_oth comm_mobil volunteer vote05 pol_job
	
	order FAMILY_COMMUNITY_VARIABLES comm_understand comm_important comm_quar comm_sisters comm_connect comm_prob_ever comm_prob_now comm_prob_better fam_prob_ever fam_prob_now fam_prob_better fam_caring fam_comfort fam_connect fam_problems fam_quarrel
	
	order RETURN_EXPERIENCES_VARIABLES rescued released* escaped reception services updf amnesty ret_skool ret_home ret_par_hw ret_pr_gr_hw  ret_pr_gr_hw_sib distress prosocial hostility hostile quarrelsome threaten elders_disobey support allegiance_total allegiance_modhi blame_*
	
	order WAR_EXPERIENCES_VARIABLES force_wife force_wife_months fighter bush_mom kill kill_sol tied carry abusedead harm_fam viol_received viol_witnessed viol_experienced viol_loss viol_personal viol_perp viol_sex viol_total gun gun_keep gun_mo depend command rewarded loyal loyal_often leader lead orders magic stay safer threats threats_only indoctrinate ceremony harm_fam harm_civ abusedead beaten attacked army
	
	order ABDUCTION_VARIABLES  abd abd_age abd_yr yr_abd abd_l longest_abd abd_lgth abd_per yr_ret age_back back twoweek abd_no_mthr abd_no_fthr abd_sing_par abd_orph educ_abd inschool_abd emp_abd occ_abd
	
	order HEALTH_VARIABLES injury lra_inj hiv_aware eattwice fight
	
	order EDUCATION_VARIABLES educ illiterate literate inschool ngo_paid secskool university voc educ0 adult_ed
	
	order EMPLOYMENT_VARIABLES emp_mo - prof aindex
	
	order IDENTIFYING_VARIABLES id phase2 age sample found absentee died no_return nosurvive lt_abd district camp
	
	drop hh_land_miss hh_cattle_miss hh_stock_miss asset1 asset2 asset3 asset4 asset5 asset6 asset7 asset8 asset9 asset10 asset11 asset12 asset13 eatmeat eattwice score
	
* Save SWAY I&II dataset
save SWAY_I&II_May2010.dta, replace



