* CHRIS BLATTMAN

cd "C:\Documents and Settings\cb526\My Documents\My Dropbox\Research & Writing\Projects\Uganda\SWAY\Data"
*cd "/Users/robertblair/Documents/Yale University/Chris Blattman Research Assistantship/Data/Uganda/

cd "/Users/tamarmitts/Dropbox/RA/SWAY/SWAY.Replication.June2013/Data/Raw data and cleaning"

clear
set mem 30m
set matsize 200
set more off

global G "G1_14_17 G1_18_21 G1_22_25 G1_26_30 G2_14_17 G2_18_21 G2_22_25 G2_26_30 G3_14_17 G3_18_21 G3_22_25 G3_26_30 G4_14_17 G4_18_21 G4_22_25 G4_26_30 G5_14_17 G5_18_21 G5_22_25 G5_26_30 G6_14_17 G6_18_21 G6_22_25 G6_26_30 G7_14_17 G7_18_21 G7_22_25 G7_26_30 G8_14_17 G8_18_21 G8_22_25 G8_26_30"
global D "age_1* age_2* C_ach-C_paj G1_18-G1_22 G2_14 G2_22 G3_14-G3_18 G4_14-G4_22 G5_14-G5_22 G6_14-G6_22 G7_14-G7_22 G8_14-G8_22" 
global ctrls "fthr_ed0 fthr_ed7 fthr_edhi mthr_ed0 mthr_ed7 mthr_edhi no_fthr96 no_mthr96 catholic hh_assets96 hh_size96 hhi8_log fthr_frm w10 w90"

global vars "pscore_abd abd_yr abdn abd_before abdage educ_abd inschool_abd emp_abd esc_knew esc_knew2 esc_battle esc_ranaway G* id phase2 camp abd twoweek abd_yr abd_lgth abd_age age_back lead i_weight w_samp w_abs w_sel stratum age A14-A35 C* sample found absentee died no_ret mthr_ed* fthr_ed* hh_wealth96 no_fthr96 no_mthr96 orphan96 catholic hh_land* hh_size96* hh_cattle* hh_stock* hh_plow hh_fthr_frm released* rescued escaped force_wife bush_mom"

//SWAY I Adjustments

use SWAYI/SWAY_I_April2013.dta, clear

foreach y of varlist age hh_cattle hh_land hh_stock hh_size96 {
		gen `y'_2=`y'^2
		gen `y'_3=`y'^3
		gen `y'_4=`y'^4
		}

logit abd age age_2 age_3 age_4 C_* no_fthr96 no_mthr96 mthr_ed0 mthr_ed7 mthr_edhi fthr_ed0 fthr_ed7 fthr_edhi hh_cattle hh_cattle_2 hh_cattle_3 hh_cattle_4 hh_land hh_land_2 hh_land_3 hh_land_4 hh_size96 hh_size96_2 hh_size96_3 hh_size96_4 hh_stock hh_stock_2 hh_stock_3 hh_stock_4 hh_plow hh_fthr_frm [pw=i_weight]
predict pscore_abd

drop age_2-hh_size96_4

keep if abd==1 & sample==1

* Individual abductions

drop abd_l abd_lgth hh_abd_lgth abd_age labd_lgth abd_yr abdage* abd_l_* 

foreach x in a b c {
	ren ix2`x'year ix2year`x' 
	ren ix2`x'month ix2month`x'
	ren ix5`x'other ix5other`x' 
	ren ix6`x'other ix6other`x' 
	ren ix9`x'1 ix9_1`x' 
	ren ix9`x'2 ix9_2`x' 
	ren ix9`x'3 ix9_3`x' 
	ren ix9`x'other ix9other`x' 
	ren ix12`x'1 ix12_1`x' 
	ren ix12`x'2 ix12_2`x' 
	ren ix12`x'3 ix12_3`x'
	ren ix12`x'4 ix12_4`x' 
	ren ix12`x'5 ix12_5`x' 
	ren ix12`x'6 ix12_6`x' 
	ren ix12`x'7 ix12_7`x' 
	ren ix12`x'7other ix12_7other`x' 
	ren ix13`x'0 ix13_0`x' 
	ren ix13`x'1 ix13_1`x' 
	ren ix13`x'2 ix13_2`x' 
	ren ix13`x'3 ix13_3`x' 
	ren ix13`x'4 ix13_4`x' 
	ren ix13`x'5 ix13_5`x' 
	ren ix13`x'6 ix13_6`x' 
	ren ix13`x'7 ix13_7`x' 
	ren ix13`x'7other ix13_7other`x' 
	ren ix14`x'month ix14month`x' 
	ren ix14`x'year ix14year`x' 
	ren ix17`x'other ix17other`x' 
	ren ix19`x'other ix19other`x' 
	ren ix20`x'other ix20other`x' 
	ren ix21`x'other ix21other`x' 
	ren ix24`x'unit ix24unit`x'
	ren ix25`x'other ix25other`x' 
	ren ix26`x'other ix26other`x' 
	ren ix27`x'1 ix27_1`x' 
	ren ix27`x'2 ix27_2`x' 
	ren ix27`x'3 ix27_3`x' 
	ren ix27`x'4 ix27_4`x' 
	ren ix27`x'5 ix27_5`x' 
	ren ix27`x'6 ix27_6`x' 
	ren ix27`x'99 ix27_99`x'
	ren ix3`x' ix3_`x'
	ren ix4`x' ix4_`x'
	ren ix5`x' ix5_`x'
	ren ix6`x' ix6_`x'
	ren ix7`x' ix7_`x'
	ren ix8`x' ix8_`x'
	}

drop ix12_7otherc
gen ix12_7otherc=""
reshape long abd_age_ abd_lgth_ ix2month ix2year ix3_ ix4_ ix5_ ix5other ix6_ ix7_ ix8_ ix9_1 ix9_2 ix9_3 ix9other ix10 ix11 ix12_1 ix12_2 ix12_3 ix12_4 ix12_5 ix12_6 ix12_7 ix12_7other ix13_0 ix13_1 ix13_2 ix13_3 ix13_4 ix13_5 ix13_6 ix13_7 ix13_7other ix14month ix14year ix15 ix16 ix17 ix17other ix18 ix19 ix19other ix20 ix20other ix21 ix21other ix22 ix23 ix24 ix24unit ix25 ix25other ix26 ix26other ix27_1 ix27_2 ix27_3 ix27_4 ix27_5 ix27_6 ix27_99 ix28 ix29, i(id) j(abdn a b c) string
drop if abdn=="b" & ix1==1
drop if abdn=="c" & (ix1==1 | ix1==2)

ren abdn a
gen abdn=1 if a=="a"
replace abdn=2 if a=="b"
replace abdn=3 if a=="c"
drop a

ren abd_age_ abd_age
ren abd_lgth_ abd_lgth
gen abd_yr=ix2year
gen abd_before=cond(abdn>1,1,0)
replace abd_age=age-(2005-abd_yr) if abd_age==.
replace abd_age=. if abd_age<0

gen abdage=round(abd_age)

drop released* rescued escaped

replace ix16=1 if ix16==. & (ix17!=. | abd_age>24)
replace ix16=2 if ix16==. & ix18!=.
replace ix16=3 if ix16==. & ix19!=.

replace ix16=1 if id==232 & abd==1

gen released=cond(ix16==1,1,0) if ix16!=.
gen released_1w=cond(ix16==1 & abd_lgth<=.25,1,0)
gen released_2w=cond(ix16==1 & abd_lgth<=.5,1,0)
*gen weak=cond(ix17==3 | id==33 | id==196 | id==202 | id==307 | id==496 | id==611,1,0) if id<1000
*replace released_2=0 if weak==1

gen rescued=cond(ix16==2,1,0) if ix16!=.

gen escaped=cond(ix16==3,1,0) if ix16!=.
gen esc_battle=cond(ix19==1 | ix19==2,1,0) if ix16==3
gen esc_ranaway=cond(ix19==3 | ix19==4 | ix19==5,1,0) if ix16==3
x
gen esc_knew=cond(ix20==1,1,0) if ix16==3
gen esc_knew2=cond(ix20==1 | ix20==2,1,0) if ix16==3 

    replace stratum=stratum+3

    gen phase2=0
    label var phase2 "Phase II indicator"
    
    gen force_wife=0
    gen bush_mom=0
    gen educ_abd=.
    gen inschool_abd=.
    gen emp_abd=.

keep $vars

save SWAYI&II/tempdata/abd_temp.dta, replace

//SWAY II Adjustments

use SWAYII/SWAY_II_27Jan2009.dta, clear

foreach y of varlist age hh_cattle hh_land hh_stock hh_size96 {
		gen `y'_2=`y'^2
		gen `y'_3=`y'^3
		gen `y'_4=`y'^4
		}

logit abd age age_2 age_3 age_4 C_* no_fthr96 no_mthr96 mthr_ed0 mthr_ed7 mthr_edhi fthr_ed0 fthr_ed7 fthr_edhi hh_cattle hh_cattle_2 hh_cattle_3 hh_cattle_4 hh_land hh_land_2 hh_land_3 hh_land_4 hh_size96 hh_size96_2 hh_size96_3 hh_size96_4 hh_stock hh_stock_2 hh_stock_3 hh_stock_4 hh_plow hh_fthr_frm [pw=i_weight]
predict pscore_abd

drop age_2-hh_size96_4

keep if abd==1 & sample==1

* Individual abductions

drop abd_l abd_lgth abd_age abd_yr abdage* abd_l_* qix11a - qix11c

foreach x in a b c {
	ren qix2`x' qix2month`x' 
	ren qix2`x'ii qix2year`x' 
	ren qix10`x'1 qix10_1`x' 
	ren qix10`x'2 qix10_2`x' 
	ren qix14`x'2 qix14_2`x' 
}

reshape long abd_age_ abd_lgth_ qix2year qix2month qix3 qix5 qix6 qix10_1 qix10_2 qix11 qix12 qix13 qix14 qix14_2 qix15 qix26 qix27, i(id) j(abdn a b c) string
drop if abdn=="b" & qix1==1
drop if abdn=="c" & (qix1==1 | qix1==2)

ren abdn a
gen abdn=1 if a=="a"
replace abdn=2 if a=="b"
replace abdn=3 if a=="c"
drop a

ren abd_age_ abd_age
ren abd_lgth_ abd_lgth
gen abd_yr=qix2year
replace abd_yr=2004 if id==1491 & abd_yr==.
gen abd_before=cond(abdn>1,1,0)

replace abd_age=age-(2007-abd_yr) if abd_age==.
replace abd_age=. if abd_age<0

gen abdage=round(abd_age)

la var abd_age "Abduction age"
la var abdage "Abduction age (rounded)"
la var abd_lgth "Months abducted"
la var abd_yr "Abduction year"
la var abd_before "Abducted before"


drop released* rescued escaped

gen released=cond(manner_depart==1,1,0) if manner_depart!=.
gen released_1w=cond(manner_depart==1 & abd_lgth<=.25,1,0)
gen released_2w=cond(manner_depart==1 & abd_lgth<=.5,1,0)
la var released "Respondent released when abducted"
la var released_1w "Respondent released & held <=1 week"
la var released_2w "Respondent released & held <=2 weeks"


gen rescued=cond(manner_depart==2,1,0) if manner_depart!=.

gen escaped=cond(manner_depart==3,1,0) if manner_depart!=.
gen esc_knew=cond(qix15==1,1,0) if manner_depart==3
gen esc_knew2=cond(qix15==1 | qix15==2,1,0) if manner_depart==3 
replace qix14=1 if id==1230 & abdn==1
gen esc_battle=cond(qix14==1 | qix14==2,1,0) if manner_depart==3 
gen esc_ranaway=cond(qix14==3 | qix14==4 | qix14==5 | qix14==6,1,0) if manner_depart==3


// Education level at the time of abduction
    drop educ_abd
    gen educ_abd=qix5
    replace educ_abd=0 if educ==0
    replace educ_abd=educ if educ_abd==. & qiii9<=abd_yr
    replace educ_abd=educ-(qiii9-abd_yr-(abd_lgth/12)) if educ_abd==. & qiii9>abd_yr
    replace educ_abd=0 if educ_abd<0
    replace educ_abd=round(educ_abd)
    replace educ_abd=educ if educ_abd==. & qiii9==. & abd_age>15
    replace educ_abd=5 if qno==588
    la var educ_abd "Educational attainment at the time of abduction"

// In school or employed at time of abduction
    drop inschool_abd
    gen inschool_abd=cond(qix5==0,0,1) if qix5!=.
    replace inschool_abd=0 if qix5==. & (abd_yr>qiii9 | qiii9==8888)
    la var inschool_abd "In school at the time of abduction (for longest abduction)"

    drop emp_abd
    gen emp_abd=cond(qix6==3,0,1) if abd==1 & longest==1 & qix6!=.
    la var emp_abd "Employed at the time of abduction (for longest abduction)"

    replace emp_abd=0 if inschool_abd==1 & emp_abd==.
    replace inschool_abd=0 if emp_abd==1 & inschool_abd==.
    replace emp_abd=0 if emp_abd==. & inschool_abd!=.
    replace emp_abd=0 if emp_abd==. & abd==1 & found==1
    replace inschool_abd=0 if inschool_abd==. & emp_abd!=.
    replace inschool_abd=1 if id==1501

    drop occ_abd
    gen occ_abd=cond(inschool_abd==1 | emp_abd==1,1,0) if emp_abd!=. & inschool_abd!=.
    la var occ_abd "In school or employed at the time of abduction (for longest abduction)"


gen phase2=1
    la var phase2 "SWAY Phase 2 (Females) Dummy"

keep $vars

append using SWAYI&II/tempdata/abd_temp.dta

// Create new variables in SWAY I&II dataset

    gen f_weight=round(i_weight*100)
    gen f_weight_abs=round(w_abs*100)

replace abd_yr=1987 if abd_yr<1987
gen yr_abd=abd_yr
replace yr_abd=1989 if yr_abd<1989
replace yr_abd=2005 if yr_abd==2006
foreach year of numlist 1989/2005 {
   gen Y`year'=cond(yr_abd==`year',1,0)
   }

la var yr_abd "Abduction year (truncated)"

    label define phase 0 "Males, 2005/06" 1 "Females 2006/07"
    label values phase2 phase

    foreach g of numlist 0 1 {
      foreach x of numlist 14/35 {
        gen AA`g'_`x'=cond(age==`x' & phase2==`g',1,0) if age!=.
        la var AA`g'_`x' "Age indicator `g': `x'"
        }
      }
      drop AA0_31-AA0_35

    foreach n of numlist 1/8 {
      replace G`n'_31_plus=0 if phase2==0
      }

    foreach g of numlist 0 1 {
      foreach v in ach akw ata kma oro pad paj pal {
        gen CC`g'_`v'=cond(C_`v'==1 & phase2==`g',1,0)
      }
    }

    gen abd_l_1d=cond(abd_lgth>0 & abd_lgth<.04,1,0) if abd==1
    gen abd_l_2to6d=cond(abd_lgth>=0.04 & abd_lgth<.25,1,0) if abd==1
    gen abd_l_1w=cond(abd_lgth==.25,1,0) if abd==1
    gen abd_l_1to4w=cond(abd_lgth>.25 & abd_lgth<1.1,1,0) if abd==1
    gen abd_l_1_2=cond(abd_lgth>=1.1 & abd_lgth<2.5,1,0) if abd==1
    gen abd_l_2_4=cond(abd_lgth>=2.5 & abd_lgth<4,1,0) if abd==1
    gen abd_l_4_7=cond(abd_lgth>=4 & abd_lgth<7,1,0) if abd==1
    gen abd_l_7_11=cond(abd_lgth>=7 & abd_lgth<12,1,0) if abd==1
    gen abd_l_12_16=cond(abd_lgth>=12 & abd_lgth<16,1,0) if abd==1
    gen abd_l_16_25=cond(abd_lgth>=16 & abd_lgth<25,1,0) if abd==1
    gen abd_l_25_50=cond(abd_lgth>=25 & abd_lgth<50,1,0) if abd==1
    gen abd_l_50up=cond(abd_lgth>=50 & abd_lgth<200,1,0) if abd==1

   gen labd_lgth=ln(abd_lgth)
   gen abd_age2=abd_age^2

    gen abd_per=1 if abd==1
    replace abd_per=2 if abd==1 & abd_lgth>=.1
    replace abd_per=3 if abd==1 & abd_lgth>.5
    replace abd_per=4 if abd==1 & abd_lgth>2
    replace abd_per=5 if abd==1 & abd_lgth>12
    replace abd_per=7 if abd==1 & abd_lgth==.
    replace abd_per=6 if abd==1 & no_return==1
    replace abd_per=0 if abd==0
    label drop period
    label define period 0 "Never" 1 "Less than 3 days" 2 "3 to 14 days" 3 "2 Weeks to 2 Months" 4 "2 to 12 Months" 5 ">12 Months" 6 "Did Not Return" 7 "No response"
    label values abd_per period
    la var abd_per "Abduction length/period category"


save SWAYI&II/SWAY_I&II_ABD_Nov2010.dta, replace



